package com.jxdinfo.hussar.core.bouncycastle.asn1.x9;

package .tmp;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Encodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1EncodableVector;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Sequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObjectIdentifier;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERSequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ObjectIdentifiers;
import java.math.BigInteger;

public class X9FieldID extends ASN1Encodable implements X9ObjectIdentifiers {
  private DERObject e;
  
  private DERObjectIdentifier default;
  
  public X9FieldID(int a, int a, int a, int a) {
    // Byte code:
    //   0: sipush #-10396
    //   3: sipush #8807
    //   6: sipush #-22712
    //   9: sipush #-17136
    //   12: pop2
    //   13: pop2
    //   14: aload_0
    //   15: dup
    //   16: invokespecial <init> : ()V
    //   19: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9FieldID.characteristic_two_field : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/ASN1ObjectIdentifier;
    //   22: putfield default : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObjectIdentifier;
    //   25: new com/jxdinfo/hussar/core/bouncycastle/asn1/ASN1EncodableVector
    //   28: dup
    //   29: invokespecial <init> : ()V
    //   32: astore #5
    //   34: iload_3
    //   35: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERInteger
    //   38: aload #5
    //   40: dup_x1
    //   41: dup
    //   42: pop2
    //   43: dup
    //   44: iload_1
    //   45: invokespecial <init> : (I)V
    //   48: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   51: ifne -> 79
    //   54: aload_0
    //   55: aload #5
    //   57: dup
    //   58: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9FieldID.tpBasis : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/ASN1ObjectIdentifier;
    //   61: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   64: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERInteger
    //   67: dup
    //   68: iload_2
    //   69: invokespecial <init> : (I)V
    //   72: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   75: goto -> 145
    //   78: pop
    //   79: aload #5
    //   81: dup
    //   82: getstatic com/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9FieldID.ppBasis : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/ASN1ObjectIdentifier;
    //   85: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   88: new com/jxdinfo/hussar/core/bouncycastle/asn1/ASN1EncodableVector
    //   91: dup
    //   92: invokespecial <init> : ()V
    //   95: dup
    //   96: astore_1
    //   97: dup
    //   98: dup_x1
    //   99: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERInteger
    //   102: dup
    //   103: iload_2
    //   104: invokespecial <init> : (I)V
    //   107: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   110: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERInteger
    //   113: dup
    //   114: iload_3
    //   115: invokespecial <init> : (I)V
    //   118: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   121: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERInteger
    //   124: dup
    //   125: iload #4
    //   127: invokespecial <init> : (I)V
    //   130: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   133: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERSequence
    //   136: dup
    //   137: aload_1
    //   138: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/ASN1EncodableVector;)V
    //   141: invokevirtual add : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DEREncodable;)V
    //   144: aload_0
    //   145: new com/jxdinfo/hussar/core/bouncycastle/asn1/DERSequence
    //   148: dup
    //   149: aload #5
    //   151: invokespecial <init> : (Lcom/jxdinfo/hussar/core/bouncycastle/asn1/ASN1EncodableVector;)V
    //   154: putfield e : Lcom/jxdinfo/hussar/core/bouncycastle/asn1/DERObject;
    //   157: return
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   14	144	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/asn1/x9/X9FieldID;
    //   14	144	1	a	I
    //   14	144	2	a	I
    //   14	144	3	a	I
    //   14	144	4	a	I
  }
  
  public X9FieldID(ASN1Sequence aSN1Sequence) {
    this.default = (DERObjectIdentifier)aSN1Sequence.getObjectAt(0);
    this.e = (DERObject)aSN1Sequence.getObjectAt(1);
  }
  
  public DERObject getParameters() {
    return this.e;
  }
  
  public X9FieldID(BigInteger bigInteger) {
    this.default = (DERObjectIdentifier)prime_field;
    this;
    super(bigInteger);
  }
  
  public DERObjectIdentifier getIdentifier() {
    return this.default;
  }
  
  public DERObject toASN1Object() {
    ASN1EncodableVector aSN1EncodableVector = new ASN1EncodableVector();
    aSN1EncodableVector.add((DEREncodable)this.default);
    aSN1EncodableVector.add((DEREncodable)this.e);
    return (DERObject)new DERSequence(aSN1EncodableVector);
  }
}
